// ======================================================================
// FileSystemEvent.cpp
// ======================================================================

#include "stdafx.h"
#include "FileSystemEvent.h"

#include <assert.h>

FileSystemEvent::FileSystemEvent(Type type, char const * path)
:
	m_type(type)
{
	assert(m_type != T_rename);
	strcpy(m_path, path);
}

FileSystemEvent::FileSystemEvent(Type type, char const * path, char const * newPath)
:
	m_type(type)
{
	assert(m_type == T_rename);
	strcpy(m_path, path);
	strcpy(m_newPath, newPath);
}
